﻿© Fluke. All Rights Reserved.                               MET/CAL Procedure
=============================================================================
INSTRUMENT:            LeCroy WaveJet 312: (1 yr) VER IEEE /9500/600+1Hd
DATE:                  2010-07-30 12:56:41
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       267
CONFIGURATION:         Datron 9500
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        VY, DFM
# 
#  Models covered:
#        WJ312
# 
#  Source(s):
#        Chapter 5 - WJ Performance Verification Rev B2.pdf
# 
#        LeCroy WaveJet SERIES Oscilloscope GETTING STARTED MANUAL
#        FEBRUARY 2007, WJ-GS-E Rev B, 914863-00 Rev A
# 
#  Compatibility:
#        MET/CAL 7.20v or later
#
#  Subprocedures:
#        Sub MET/VERsion Check
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub Select Verification Method (No NTHROW)
#        Sub IEEE-488.2 Identification Query IEEE
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub LeCroy WJ300 Self-Test IEEE
#        Sub LeCroy WJ300 Cal Initialize IEEE
#        Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
#        Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
#        Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
#        Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        None
# 
# The procedure was tested using:
#
#        Model No  : LeCroy WJ354
#        Serial No : LCRY0101J23242
#        Options   : WJ-GPIB
#        Firmware  : 4.05
#
# Average run time during testing :  11 minutes
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  ASK-   R   Q N              P                            A        V

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.002  IF           0
  1.003  9500         100MH                        1Vpp           LS    S
  1.004  ENDIF

  1.005  MATH         @ReqMetCalVersion = "7.20v"
  1.006  CALL         Sub MET/VERsion Check

  1.007  IF           NOT(@MetCalVersionOK)
  1.008  DISP         This procedure requires MET/CAL 7.20v or later.
  1.009  END
  1.010  ENDIF

  1.011  CALL         Sub Display Copyright
  1.012  CALL         Sub High Voltage Safety Warning

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  DISP         Ensure that the UUT REMOTE PORT is set for GPIB
  1.015  DISP         operation as follows:
  1.015  DISP
  1.015  DISP         Push UUT front panel UTILITES button, followed by the
  1.015  DISP         "Remote" softkey. Press the "Interface" softkey, then
  1.015  DISP         "GPIB" softkey.
  1.015  DISP
  1.015  DISP         If this workstation is equipped with two GPIB cards,
  1.015  DISP         the address is unimportant, as long as it is not (0)
  1.015  DISP         zero. If only 1 GPIB card is installed, however, the
  1.015  DISP         UUT address must not conflict with those of configured
  1.015  DISP         references.
  1.015  DISP
  1.015  DISP         If necessary, depress the "Address" softkey and set
  1.015  DISP         the UUT address using the ADJUST knob.
  1.015  DISP
  1.015  DISP         Connect a GPIB cable from the appropriate PC IEEE-488
  1.015  DISP         port to the UUT GPIB port.

# Test to ensure MET/CAL initialization file parameter "acc_check" = "yes"
  1.016  IF           ZCMPI(INI("startup", "acc_check"), "no")
  1.017  HEAD         INCORRECT MET/CAL® INITIALIZATION FILE SETTING!
  1.018  DISP         The file parameter setting is: "acc_check=no"
  1.018  DISP
  1.018  DISP         For correct procedure execution, this parameter
  1.018  DISP         MUST be set to: "acc_check=yes"
  1.018  DISP
  1.018  DISP         Select "Advance" to terminate the procedure, exit
  1.018  DISP         MET/CAL®, change the initialization file parameter,
  1.018  DISP         restart MET/CAL, then restart the procedure.
  1.019  END
  1.020  ENDIF

  1.021  IEEE         *CLS;*RST

  1.022  HEAD         UUT IDENTIFICATION
  1.023  CALL         Sub IEEE-488.2 Identification Query IEEE

  1.024  MATH         @UUT_Manufacturer = "LECROY"
  1.025  MATH         @UUT_Model        = "WJ312"
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  IF           @FirmwareRev < 3.06
  1.031  DISP         This procedure requires firmware version 3.06 or later.
  1.031  DISP
  1.031  DISP         For firmware upgrades, please visit www.lecroy.com. The
  1.031  DISP         firmware and installation instructions are available
  1.031  DISP         for download.
  1.032  ENDIF

  1.033  CALL         Sub Select Failed Test Mode
  1.034  CALL         Sub Select Verification Method (No NTHROW)

# Set the system confidence level to 95%.
  1.035  MATH         @SysConf   = 2
  1.036  MATH         @DevName   = "Datron 9500"
  1.037  MATH         @Bandwidth = 100E+6
  1.038  MATH         @NumChan   = 2

# Specify whether the calibrator is single or multi-channel.  This is used
# in subprocedures to determine the connections required for each test.
  1.039  MATH         @SourceMultiCh = 0

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SELF TEST                          SELF TEST
#    2.   PEAK-PEAK NOISE LEVEL              PEAK-PEAK NOISE LEVEL
#    3.   CHANNEL INPUT IMPEDANCE(CH1)       EXTERNAL INPUT IMPEDANCE
#    4.   CHANNEL INPUT IMPEDANCE(CH2)       CHANNEL INPUT IMPEDANCE(CH1)
#    5.   EXTERNAL INPUT IMPEDANCE           DC GAIN ACC(CH1)
#    6.   DC GAIN ACC(CH1)                   OFFSET ACC(CH1)
#    7.   DC GAIN ACC(CH2)                   BANDWIDTH(CH1))
#    8.   OFFSET ACC(CH1)                    TRIGGER LEVEL(CH1)
#    9.   OFFSET ACC(CH2)                    TIME BASE
#   10.   BANDWIDTH(CH1)                     CHANNEL INPUT IMPEDANCE(CH2)
#   11.   BANDWIDTH(CH2)                     DC GAIN ACC(CH2
#   12.   TRIGGER LEVEL(CH1)                 OFFSET ACC(CH2)
#   13.   TRIGGER LEVEL(CH2)                 BANDWIDTH(CH2)
#   14.   TIME BASE                          TRIGGER LEVEL(CH2)

  1.040  CALL         Sub LeCroy WJ300 Self-Test IEEE

  1.041  IF           @Abort
  1.042  END
  1.043  ENDIF

  1.044  JMPL         PEAK_PEAK_NOISE_LEVEL

  1.045  LABEL        CHANNEL_INPUT_IMPEDANCE_CH1
  1.046  MATH         @Chan = 1
  1.047  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  1.048  JMPL         DC_GAIN_ACC_CH1

  1.049  LABEL        CHANNEL_INPUT_IMPEDANCE_CH2
  1.050  MATH         @Chan = 2
  1.051  CALL         Sub LeCroy WJ300 (1 yr) Chan Input Impedance IEEE /9500
  1.052  JMPL         DC_GAIN_ACC_CH2

  1.053  LABEL        EXT_EXT_INPUT_IMPEDANCE
  1.054  MATH         @Chan = 5
  1.055  CALL         Sub LeCroy WJ300 (1 yr) Ext Input Impedance IEEE /9500
  1.056  JMPL         CHANNEL_INPUT_IMPEDANCE_CH1

  1.057  LABEL        PEAK_PEAK_NOISE_LEVEL
  1.058  CALL         Sub LeCroy WJ300 Peak-Peak Noise Level IEEE
  1.059  JMPL         EXT_EXT_INPUT_IMPEDANCE

  1.060  LABEL        DC_GAIN_ACC_CH1
  1.061  MATH         @Chan = 1
  1.062  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  1.063  JMPL         OFFSET_ACC_CH1

  1.064  LABEL        DC_GAIN_ACC_CH2
  1.065  MATH         @Chan = 2
  1.066  CALL         Sub LeCroy WJ300 (1 yr) DC Gain Acc IEEE /9500
  1.067  JMPL         OFFSET_ACC_CH2

  1.068  LABEL        OFFSET_ACC_CH1
  1.069  MATH         @Chan = 1
  1.070  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  1.071  JMPL         BANDWIDTH_CH1

  1.072  LABEL        OFFSET_ACC_CH2
  1.073  MATH         @Chan = 2
  1.074  CALL         Sub LeCroy WJ300 (1 yr) Offset Acc IEEE /9500
  1.075  JMPL         BANDWIDTH_CH2

  1.076  LABEL        BANDWIDTH_CH1
  1.077  MATH         @Chan = 1
  1.078  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  1.079  JMPL         TRIGGER_LEVEL_CH1

  1.080  LABEL        BANDWIDTH_CH2
  1.081  MATH         @Chan = 2
  1.082  CALL         Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /9500/600
  1.083  JMPL         TRIGGER_LEVEL_CH2

  1.084  LABEL        TRIGGER_LEVEL_CH1
  1.085  MATH         @Chan = 1
  1.086  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  1.087  JMPL         TIME_BASE

  1.088  LABEL        TRIGGER_LEVEL_CH2
  1.089  MATH         @Chan = 2
  1.090  CALL         Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /9500
  1.091  JMPL         END

  1.092  LABEL        TIME_BASE
  1.093  MATH         @Chan = 1
  1.094  CALL         Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /9500
  1.095  JMPL         CHANNEL_INPUT_IMPEDANCE_CH2

  1.096  LABEL        END
  1.097  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.098  END
